# std::ranges::zip_view<Views...>::zip_view

From cppreference.com
< cpp‎ | ranges‎ | zip view

zip_view() = default; | (1) | (since C++23)
constexpr zip_view( Views... views ); | (2) | (since C++23)

1) Default constructor. Value-initializes all adapted `view` objects.
The default constructor is deleted if std::is_default_constructible_v is false for at least one type in `Views...`.
2) Move constructs every adapted `view` object in `views_` from the corresponding view in views....

### Parameters

views | - | view objects to adapt

### Example

| This section is incomplete Reason: no example

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/ranges/zip_view/zip_view&oldid=172778"